import request from '@/utils/request'
export function getKaozhengList(data = {}) {
  return request({
    url: '/app/user/kaozheng/list',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getKaozhengJigou(data = {}) {
  return request({
    url: '/app/user/kaozheng/ops/jigou',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getKaozhengZhiye(data = {}) {
  return request({
    url: '/app/user/kaozheng/ops/zhiye',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getKaozhengLevel(data = {}) {
  return request({
    url: '/app/user/kaozheng/ops/level',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getKaozhengBanzheng(data = {}) {
  return request({
    url: '/app/user/kaozheng/ops/status/banzheng',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getKaozhengKaoshi(data = {}) {
  return request({
    url: '/app/user/kaozheng/ops/status/kaoshi',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}


export function kaozhengDelete(data = {}) {
  return request({
    url: '/app/user/kaozheng/delete',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

